## gwyddionenums gwyddionenums — Common libgwyddion enumerations |

## Types and Values

enum | GwySIUnitFormatStyle

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

## Functions

## Types and Values

### enum GwySIUnitFormatStyle

Physical quantity formatting style.

#### Members

GWY_SI_UNIT_FORMAT_NONE | No units. This value is unused by GwySIUnit itself and must not be requested as a format style. |
GWY_SI_UNIT_FORMAT_PLAIN | Plain style, as one would use on a text terminal. |
GWY_SI_UNIT_FORMAT_MARKUP | Pango markup, for units usable standalone. |
GWY_SI_UNIT_FORMAT_VFMARKUP | Pango markup, for units directly after value. Differs from `GWY_SI_UNIT_FORMAT_MARKUP` by multiplication sign at the start of units (where appropriate). |
GWY_SI_UNIT_FORMAT_TEX | Representation that can be typeset by TeX. |